:root {
    --globalColor: rgb(40, 106, 204);
    --disabledGlobalColor: rgb(98, 136, 180);
    --hoverLightGlobalColor: rgb(217, 230, 250);
    --hoverDarkGlobalColor: rgb(0, 78, 167);
    --globalContainerHeight: 85vh;
    --globalContainerWidth: 90vh;
}

#content {
    display: flex;
    flex-direction: column;
}

body{
    overflow: hidden;
}

* {
    font-family: monospace;
    user-select: none;
}

.input {
    color: var(--hoverDarkGlobalColor);
    border: solid var(--hoverDarkGlobalColor);
    font-size: large;
    background-color: white;

    /* min-width: 50%;  */
    /* max-width: fit-content; */
}
.input:disabled {
    pointer-events:none;
}

.contentContainer {
    position: relative;
    border: solid var(--hoverDarkGlobalColor);
    /* max-width: calc(90%); /* TODO: automate all this : 50% + border size - 2*padding size*/
    /*max-height: calc(90%); /* TODO: automate all this : 50% + border size - 2*padding size*/
    /*min-width: 50%;
    /* width: fit-content; */
    /* height: fit-content; */
    border-width: 3px;
    margin-top: -3px;
    /* width: max-content; */ /* solves the auto resize issue */
    /* resize: both; */
    /* overflow: hidden; */
    cursor: all-scroll;
    transform-origin: left top;
    pointer-events: auto; 


}

.textContainer {
    height: inherit;
    padding: 10px;
    transform-origin: left top;
    white-space: nowrap;
}

.moveableContainer {
    position: absolute;
    pointer-events: none; /* to be able to move elements that are below*/
}

.letter {
    position: relative;
    display: inline-block;
    overflow: hidden;
}

.letterBorder {
    position: absolute;
    box-sizing: border-box;
    z-index: 2;
}

.cell {
    display: inline-block;
    position: absolute;
    box-sizing: border-box;

    z-index: 1;
}

.line {
    position: absolute;
}

.fill {
    position: absolute;
}

.borderTop {
    border-top: solid;
}

.borderBot {
    border-bottom: solid;
}

.borderLeft {
    border-left: solid;
}

.borderRight {
    border-right: solid;
}

.fill {}

#settingsToggleButton {
    display: block;
    position: fixed;
    bottom: 0px;
}

.footerPanelContainer {
    position: relative;
    bottom: 4px;
    margin: 10px 10px 10px 5px;
    font-weight: bold;
    flex-direction: column;
    border: solid;
    padding: 5px;
    color: var(--globalColor);
    margin: 2px;
    background-color: white;
    min-width: fit-content;
    
}


.sliderLabel {
    position: relative;
    margin-right: 10px;
    width: 33%;
}

.slider {
    width: 35%;
    top: 2px;
    position: relative;
}

.sliderNumbers {
    position: relative;
    margin-left: 10px;
    text-align: right;
    float: inline-end;
    top: 3px;
    width: 48px;
}

.sliderButton {
    color: var(--hoverDarkGlobalColor);
    /* border: solid var(--hoverDarkGlobalColor); */
    /* border-radius: 10px; */
    /* width: fit-content; */
    padding-right: 4px;
    padding-left: 4px;
    display: inline-block;
    cursor: pointer;
    top: -3px;
    position: relative;
}

.settingContainer {
    border-bottom: 1px dashed #b2c3c7;
}

.presetContainer {
    border-bottom: 1px dashed #b2c3c7;
}

.presetContainer.selected {
    border-bottom: 1px dashed #b2c3c7;
}

.presetContainer:hover{
    background-color: var(--hoverLightGlobalColor);
}


.settingButton {
    margin-top: 3px;
    color: var(--globalColor);
    border: solid var(--globalColor);
    margin-right: 3px;
    background-color: white;
    cursor: pointer;
    width: fit-content;
    font-size: large;
    font-weight: bold;
}

.settingButton:hover {
    color: var(--hoverDarkGlobalColor);
    border: solid var(--hoverDarkGlobalColor);
    background-color: rgb(255, 255, 255);
}

.settingButton:disabled {
    color: var(--disabledGlobalColor);
    border: solid var(--disabledGlobalColor);
    background-color: rgb(255, 255, 255);
    cursor: auto;
}

.innerSettingButton {
    width: fit-content;
}



#actionPanelContainer {
    align-self: flex-end;
}

.saveLoadButtons {
    display: inline-block;
}

.letterColorPicker {
    width: 25px;
    height: 25px;
    color: var(--globalColor);
    background-color: white;
    border-color: var(--globalColor);
    border: unset
}


.footerButton {
    border: solid;
    padding: 5px;
    color: var(--globalColor);
    cursor: pointer;
    user-select: none;
    font-weight: bold;
    width: fit-content;
    padding-right: 10px;
    padding-left: 10px;
    background-color: white;
    display: inline-block;
    margin-right: 5px;
}

.footerButton:hover {
    color: var(--hoverDarkGlobalColor);
    border: solid var(--hoverDarkGlobalColor);
    background-color: rgb(255, 255, 255);
}

#footer {
    position: absolute;
    bottom: 0px;
    margin-bottom: 20px;
    z-index: 999999;
    font-size: large;
    min-width: 50%;
    max-width: fit-content;
}


#borderCheckboxContainer {
    display: flex;
    border-bottom: 1px dashed #b2c3c7;
}

.checkboxContainer {
    border: 1px dashed #b2c3c7;
}



.wordContainer {
    width: fit-content;
    height: fit-content;
    display: inline-block;
}

#header{
    z-index: 999999;
    margin-bottom: 20px;
}

.headerButton {
    margin-right: 0px;
}

.containerContentActionButton {
    color: var(--hoverDarkGlobalColor);
    border: solid var(--hoverDarkGlobalColor);
    background-color: white;
    cursor: pointer;
    font-size: large;
    font-weight: bold;
    text-align: center;
    position: relative;
    width: 20px;
}

.contentContainerActions{
    display: flex;
    pointer-events: auto; 
}

#footerPanels {
    display: flex;
    width: fit-content;
}


.contentContainerResize{
    background-color: white;
    position: absolute;
    width: 5px;
    height: 5px;
    border: 3px solid  rgb(0, 78, 167);
}
.contentContainerResize.bottom {
    cursor: nw-resize;
    bottom: 0;
    right: 0;
    margin-right: -6px;
    margin-bottom: -6px;
}
.contentContainerResize.top {
    cursor: se-resize;
    top: 0;
    left: 0;
    margin-left: -6px;
    margin-top: -6px;
}

#globalContainerBorder {
    height:var(--globalContainerHeight);
    width: var(--globalContainerWidth);
    border: 1px dashed rgb(0, 78, 167);
}

#globalContainer {
    height: var(--globalContainerHeight);
    width: var(--globalContainerWidth);
    
    position: absolute;
}

#overFlowContainer{
    position: absolute;
    box-shadow: 0 0 0 300vh #ffffffd6;
    z-index: 10000;
    pointer-events: none;
    height: calc( var(--globalContainerHeight) + 6px);
    width: calc( var(--globalContainerWidth) + 6px);
    margin: -3px;
}
/*
border: 2px solid;
padding: 20px; 
width: 300px;
min-width: 200px;
min-Height: 200px;
resize: both;
overflow: hidden; 




let observer = new ResizeObserver(function(mutations) {
  console.log('mutations:', mutations);
});

let child = document.querySelector('textarea');
observer.observe(child);

*/